clf
n1 = [50 52 27 54 4 11]; %tree number
n2 = [1 3 5 7 9 11]; %row/transect number
n = length(n1); %number of files

albedostruct = {}; %create structure to store uneven arrays

lengthsa = [1:n]; %make array for the lengths

for i = 1:6 %6 files
    [t,d,h]=apogee(sprintf('o2_albedoleaves_t%d%s%d.csv', n1(i), 'r', n2(i))); %albedo of a pile of leaves at Tree1
    albedos = d(:,3); %get column for albedo
    l = length(albedos); %find length of that column

    %store
    albedostruct{i} = albedos; %store albedo values
    lengthsa(i) = l; %store  lengths of each albedo column
end


% Make arrays even by adding NaNs to end of smaller arrays
maxlengths = max(lengthsa);
bigmatrix = NaN(maxlengths, n);
%add NaNs
for i = 1:n
    numnans = maxlengths - lengthsa(i); %different between the max and current
    a = albedostruct{i};
    a(lengthsa(i)+1:lengthsa(i)+numnans) = NaN;
    bigmatrix(:,i) = a; %bigmatrix is the even array matrix
end

bins = 15; % bin number (preference); hist does only 10

%create new arrays to store
histo = NaN(bins,n); 
csum = NaN(bins,n);

%labels = bigmatrix(1:(80./15):80;

for i = 1:n
    histo(:,i) = hist(bigmatrix(:,i),bins); %hist values
    csum(:,i) = cumsum(histo(:,i));
    
    % if you want to create a histogram too:
    %figure(i)
    %b = bar(histo(:,i));
    %xlabel('Bins of Albedos')
    %ylabel('Count')

    %f = figure(n+i);
    hold on
    plot(csum(:,i))
    ylabel('Cumulative Sum of Albedo Bin Counts')
    xlabel('Bins of Albedo')
    legend(sprintf('Tree %d',n1(1)),sprintf('Tree %d',n1(2)),sprintf('Tree %d',n1(3)),sprintf('Tree %d',n1(4)),sprintf('Tree %d',n1(5)),sprintf('Tree %d',n1(6)),'location','northwest')
    hold off
end
set(gca,'FontSize',16)
exportgraphics(figure(1), "o2_albedoleaves_cumsum.pdf")
