clear 
clf

L = readmatrix('enotre.csv'); %from tree data  team

n1 = [50 52 27 54 4 11]; %tree number
n2 = [1 3 5 7 9 11]; %row/transect number
n = length(n1);

x = L(2:end,2); %easting
y = L(2:end,3); %northing

altitude = L(2:end,5); %pull altitudes of trees

hold on
for i=1:6 %number of trees
    [t,d,h]=apogee(sprintf('o2_albedoleaves_t%d%s%d.csv', n1(i), 'r', n2(i))); %find file and seperate title from numbers
    s = scatter(x(n1(i)),y(n1(i)),(altitude(n1(i))-min(altitude)+1).*100, mean(d(:,3)),'filled'); %plot locations of trees, size being altitude
    colorbar() %based on albedo
end

%information about graph
legend(sprintf('Tree %d Altitude: %3.1f',n1(1),altitude(n1(1))),sprintf('Tree %d Altitude: %3.1f',n1(2),altitude(n1(2))),sprintf('Tree %d Altitude: %3.1f',n1(3),altitude(n1(3))),sprintf('Tree %d Altitude: %3.1f',n1(4),altitude(n1(4))),sprintf('Tree %d Altitude: %3.1f',n1(5),altitude(n1(5))),sprintf('Tree %d Altitude: %3.1f',n1(6),altitude(n1(6))),'location','northwest','FontSize', 12)
set(gca,'FontSize',12)
title('colorbar for albedo and size for relative altitude', 'FontSize',13.5)
xlabel('Easting')
ylabel('Northing')
hold off
exportgraphics(figure(1), "o2_albedoleaves_location.pdf")
