clear
clf

n1 = [50 52 27 54 4 11]; %tree number
n2 = [1 3 5 7 9 11]; %row/transect number
n = length(n1);

%assign these variables colors so they process in array
s = '#EDB120'; 
t = '#7E2F8E';
u = '#4DBEEE';

colors = ['r', 'b', 'y', 'm', 'k', 'g', 'k', 'k'];

hold on
for i = 1:n
    [t,d,h]=apogee(sprintf('o2_albedoleaves_t%d%s%d.csv', n1(i), 'r', n2(i))); %file with albedo of a pile of leaves at trees
    mn = mean(d(:,3)); %mean of the albedos in the file
    p = plot(i,mn,'b-o', 'MarkerFaceColor', colors(i),'MarkerSize',10);
    if i == 5
        p.Color = '#EDB120';
    end
    if i == 7
        p.Color = '#7E2F8E';
    end
    if i == 8
        p.Color = '#4DBEEE';
    end
    
end

hold off %keeps each plot point on the graph

%Chart Details:
xlabel('tree number') %  Tree Number
ylabel('mean albedo')
legend(sprintf('Tree %d',n1(1)),sprintf('Tree %d',n1(2)),sprintf('Tree %d',n1(3)),sprintf('Tree %d',n1(4)),sprintf('Tree %d',n1(5)),sprintf('Tree %d',n1(6)))
exportgraphics(figure(1), "o2_albedoleaves_mean.pdf")
