n1 = [50 52 27 54 4 11]; %tree number
n2 = [1 3 5 7 9 11]; %row/transect number
n = length(n1); %number of files

for i=1:n
    figure(i) %do it for each tree 1-8
    plot_albedo_file(sprintf('o2_albedoleaves_t%d%s%d.csv', n1(i), 'r', n2(i)), i);
    set(gca,'FontSize',11)
    exportgraphics(figure(i),(sprintf('o2_albedoleaves_t%d%s%d.pdf', n1(i), 'r', n2(i))))
end

%this function plots albedos for each line
function [t,d,h] = plot_albedo_file(filename, i) %create a function to use above^^
     n1 = [50 52 27 54 4 11]; %reassign array

    [t,d,h]=apogee(filename);
    
    subplot(2,1,1) %top
    p1 = plot(t,d(:,1)); %plot upward sensor (incident light)
    hold on %have graph stay in place
    
    p2 = plot(t,d(:,2)); %plot downward sensor (reflected light)
    
    
    %labels
    xlabel('Local Time of Day')
    ylabel('Watts/m^2')
    h=legend('Upward Sensor','Downward Sensor');
    
    h.Position=h.Position+[0 -0.125 0 0]; %location
    hold off
    %---PLOT 2: ALBEDO V TIME---

    subplot(2,1,2) %bottom
    plot(t,d(:,3)) %albedo number
    ylim([0 1]) %limits (albedo must be between these two values)
    mn = mean(d(:,3)); %find mean albedo
    hold on
    plot(t,mn*ones(length(t)), 'LineStyle','--'); %graph mean albedo and change linestyle to make more clear

    %labels
    xlabel('Local Time of Day')
    ylabel('Albedo')
    title(sprintf('Tree %d Average Albedo: %.4f',n1(i),mean(d(:,3)))); %indicate mean number
    hold off
end
