clf
n = 25; %number of files

albedostruct = {}; %create structure to store uneven arrays

lengthsa = [1:n]; %make array for the lengths

filenames = ["o2_albedoleaves_t5_sun.csv" "o2_albedoleaves_t5_shade.csv" "o2_albedodryleaves_t5_sun.csv" "o2_albedodryleaves_t5_shade.csv" "o2_albedoolivebark_sun.csv" "o2_albedoolivebark_shade.csv" "o2_albedoartemisia_sun.csv" "o2_albedoartemisia_shade.csv" "o2_albedocommonfig_sun.csv" "o2_albedocommonfig_shade.csv" "o2_albedoholmoak_sun.csv" "o2_albedoholmoak_shade.csv" "o2_albedoyellowpricklypears_sun.csv" "o2_albedoyellowpricklypears_shade.csv" "o2_albedolightgreenpricklypears_sun.csv" "o2_albedo_lightgreenpricklypears_shade.csv" "o2_albedodarkgreenpricklypears_sun.csv" "o2_albedodarkgreenpricklypears_shade.csv" "o2_albedostraw_sun.csv" "o2_albedostraw_shade.csv" "o2_albedogranite_sun.csv" "o2_albedogranite_shade.csv" "o2_albedolichenedgranite_sun.csv" "o2_albedosoilhillside_sun.csv" "o2_albedosoilpebbleshillside_sun.csv"];
 
for i = 1:n %12 files
    filename = filenames(i);
    [t,d,h]=apogee(filename); 
    albedos = d(:,3);
    l = length(albedos); 

    %store
    albedostruct{i} = albedos; %store albedo values
    lengthsa(i) = l; %store  lengths of each albedo value
end


% Make arrays even by adding NaNs to end of smaller arrays
maxlengths = max(lengthsa);
bigmatrix = NaN(maxlengths, n);
%add NaNs
for i = 1:n
    numnans = maxlengths - lengthsa(i); %different between the max and current
    a = albedostruct{i};
    a(lengthsa(i)+1:lengthsa(i)+numnans) = NaN;
    bigmatrix(:,i) = a; %bigmatrix is the even array matrix
end

bins = 15; % bin number (preference); hist does only 10

%create new arrays to store
histo = NaN(bins,n); 
csum = NaN(bins,n);

%grass subplot 1
subplot(2,2,1)
for i = 1:((n-1)/4)
    histo(:,i) = hist(bigmatrix(:,i),bins); %hist values
    csum(:,i) = cumsum(histo(:,i));
    hold on
    plot(csum(:,i))
    ylim([0 85])
    legend("tree 5 leaves (sun)", 'tree 5 leaves (shade)', 'tree 5 dead leaves (sun)', 'tree 5 dead leaves (shade)', 'olive tree bark (sun)', 'olive tree bark (shade)','location','northwest')
    hold off
end

%leaves subplot 2
subplot(2,2,2)
for i = ((n-1)/4)+1:((n-1)/2)
    histo(:,i) = hist(bigmatrix(:,i),bins); %hist values
    csum(:,i) = cumsum(histo(:,i));
    hold on
    plot(csum(:,i))
    ylim([0 85])
    legend('artemisia campestris (sun)', 'artemisia campestris (shade)', 'common fig (sun)', 'common fig (shade)', 'holm oak leaves(sun)', 'holm oak leaves (shade)','location','northwest')
    hold off
end

%mudpile subplot 3
subplot(2,2,3)
for i = ((n-1)/2)+1:(3*(n-1)/4)
    histo(:,i) = hist(bigmatrix(:,i),bins); %hist values
    csum(:,i) = cumsum(histo(:,i)); %create cumulative sum list
    hold on
    plot(csum(:,i))
    ylim([0 85])
    legend('yellow prickly pear (sun)', 'yellow prickly pear (shade)', 'light green prickly pear (sun)', 'light green prickly pear (shade)', 'dark green prickly pear (sun)', 'dark green prickly pear (shade)', 'location','northwest')
    hold off
end

subplot(2,2,4)
for i = (3*(n-1)/4)+1:n
    histo(:,i) = hist(bigmatrix(:,i),bins); %hist values
    csum(:,i) = cumsum(histo(:,i)); %create cumulative sum list
    hold on
    plot(csum(:,i))
    ylim([0 85])
    legend('straw (sun)', 'straw (shade)', 'granite (sun)', 'granite (shade)', 'lickened granite (sun)', 'hillside soil (sun)', 'hillside pebbles and untouched soil', 'location','northwest')
    hold off
end

%set general y-axis
han=axes(figure(1),'visible','off'); 
han.YLabel.Visible='on';
ylabel(han,'Cumulative Sum of Albedo Bin Counts', 'FontSize', 14);

%set general x-axis
han=axes(figure(1),'visible','off'); 
han.XLabel.Visible='on';
xlabel(han,'Bins of Albedo', 'FontSize', 14);

%general title over all subplots
sgtitle('Various Surfaces at Enotre', 'FontSize', 16)


exportgraphics(figure(1), "o2_albedosurface_cumsum.pdf")
