%Enotre
% > 72 files
% >t#_r#
% >terrace number = t([01 02 03 04 05 06 07 08 09 10 11 12])
% >round number = r([1 2 3 4  6])

%create figure
figure(1)
clf
D=dir('/Users/chandlerjones/Documents/MATLAB/Enotre/*.csv');
albedo=zeros(12,6);
hold on
for index=1:length(D)
    % Returns median albedo; where 'a' is median albedo and 'el' is elevation
   [a(index),t]=apogee(...
       sprintf('/Users/chandlerjones/Documents/MATLAB/Enotre/%s',...
       D(index).name));
   %elevation collected on terraces 1 to 12
   el =([609.88,603.7,601.97,600.73,599.08,595.69,590.21,589.32,583.35,...
       574.95,570.81,564.1])
   hold on
   %the next 12 for loops find the median albedo of each round and then
   %averages those 6 round median albedos together to finds a singular
   %albedo measurement for each terrace

   if any(index == 1:6)
       j = mod(index, 6);
       if j == 0
           j = 6
       end
       albedo(1, j) = a(index)
   end
   if any(index == 7:12)
       j = mod(index, 6);
       if j == 0
           j = 6
       end
       albedo(2, j)= a(index)
   end
   if any(index==13:18)
       j = mod(index, 6);
       if j == 0
           j = 6
       end
       albedo(3, j)=a(index)
   end
   if any(index==19:24)
       j = mod(index, 6);
       if j == 0
           j = 6
       end
       albedo(4, j)= a(index)
   end
   if any(index==25:30)
       j = mod(index, 6);
       if j == 0
           j = 6
       end
       albedo(5, j)= a(index)
   end
   if any(index==31:36)
       j = mod(index, 6);
       if j == 0
           j = 6
       end
      albedo(6, j)= a(index)
   end
   if any(index==37:42)
       j = mod(index, 6);
       if j == 0
           j = 6
       end
      albedo(7, j)= a(index)
   end
   if any(index==43:48)
       j = mod(index, 6);
       if j == 0
           j = 6
       end
      albedo(8, j)= a(index)
   end
   if any(index==49:54)
       j = mod(index, 6);
       if j == 0
           j = 6
       end
      albedo(9, j)= a(index)
   end
    if any(index==55:60)
        j = mod(index, 6);
       if j == 0
           j = 6
       end
      albedo(10, j)= a(index)
    end
    if any(index==61:66)
        j = mod(index, 6);
       if j == 0
           j = 6
       end
      albedo(11, j)= a(index)
    end
    if any(index==67:72)
        j = mod(index, 6);
       if j == 0
           j = 6
       end
      albedo(12, j) = a(index)
   end
end

hold on

figure(1)
ma=median(albedo, 2)

%plots the elevation, e([index]) against median albedo measurment,
%ma([index]) with different color/symbol combinations
p1=plot(el(1), ma(1),'o', ...
    'MarkerFaceColor','b','MarkerEdgeColor','b',...
    'DisplayName','Terrace One');
p2=plot(el(2), ma(2),'o',...
'MarkerFaceColor','g','MarkerEdgeColor','g', ...
'DisplayName','Terrace Two');
p3=plot(el(3), ma(3), 'o',...
    'MarkerFaceColor','r','MarkerEdgeColor','r', ...
'DisplayName','Terrace Three');
p4=plot (el(4), ma(4), 'cyano',...
'MarkerFaceColor','cyan','MarkerEdgeColor','cyan',...
'DisplayName','Terrace Four');
p5=plot(el(5), ma(5), 'o',...
'MarkerFaceColor','m','MarkerEdgeColor','m',...
'DisplayName','Terrace Five');
p6=plot(el(6), ma(6), 'o', ...
'MarkerFaceColor','y','MarkerEdgeColor','y' ,...
'DisplayName','Terrace Six');
p7=plot(el(7), ma(7), 'o',...
'MarkerFaceColor','k','MarkerEdgeColor','k',...
'DisplayName','Terrace Seven');
p8=plot(el(8), ma(8), 'bs', ...
'MarkerFaceColor','b','MarkerEdgeColor','b',...
'DisplayName','Terrace Eight');
p9=plot(el(9), ma(9), 'ms',...
'MarkerFaceColor','m','MarkerEdgeColor','m',...
'DisplayName','Terrace Nine');
p10=plot(el(10), ma(10), 'gs',...
'MarkerFaceColor','g','MarkerEdgeColor','g',...
'DisplayName','Terrace Ten');
p11=plot(el(11), ma(11), 'rs',...
'MarkerFaceColor','r','MarkerEdgeColor','r',...
'DisplayName','Terrace Eleven');
p12=plot(el(12), ma(12), 'ks',...
'MarkerFaceColor','k','MarkerEdgeColor','k',...
'DisplayName','Terrace Twelve'); 

%to draw a line of best fit to test correlation

% Get coefficients of a line fit through the data.
coefficients = polyfit(el, ma, 1);
% Create a new x axis with exactly 1000 points (or whatever you want).
xFit = linspace(min(el), max(el), 1000);
% Get the estimated yFit value for each of those 1000 new x locations.
yFit = polyval(coefficients , xFit);
% Plot everything.
%plot(el, ma, 'r.', 'MarkerSize', 15); % Plot training data.
hold on; % Set hold on so the next plot does not blow away the one we just drew.
p13=plot(xFit, yFit, 'r-', 'LineWidth', 2,'DisplayName','r=0.2277'); % Plot fitted line.
grid on;

%create a legend
legend([p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 p11 p12 p13]);