% Structure of Enotre Folder
% > 72 files
% >t#_r#
% >terrace number = t([01 02 03 04 05 06 07 08 09 10 11 12])
% >round number = r([1 2 3 4  6])

% Reads the Enotre files
D=dir('/Users/chandlerjones/Documents/MATLAB/Enotre/*.csv');

%create figure
figure(1)
clf
% Loop over the file names
for index=1:length(D)
    % Returns median albedo
   [a(index),t]=apogee(...
       sprintf('/Users/chandlerjones/Documents/MATLAB/Enotre/%s',...
       D(index).name));
   % Returns midpoint time
   tt(index)=t(1)+[t(end)-t(1)]/2;
   hold on
   %terrace one, median albedo (a) plotted against median time of file(tt)
   if any(index == 1:6)
       p1=plot(tt(index),a(index),'o', ...
           'MarkerFaceColor','b','MarkerEdgeColor','b',...
           'DisplayName','Terrace One');
   end
   %terrace two, median albedo (a) plotted against median time of file(tt)
   if any(index == 7:12)
       p2=plot(tt(index),a(index),'o',...
           'MarkerFaceColor','g','MarkerEdgeColor','g', ...
           'DisplayName','Terrace Two');
   end
   %terrace three, median albedo (a) plotted against median time of file(tt)
   if any(index==13:18)
       p3=plot(tt(index), a(index), 'o',...
           'MarkerFaceColor','r','MarkerEdgeColor','r', ...
           'DisplayName','Terrace Three');
   end
   %terrace four, median albedo (a) plotted against median time of file(tt)
   if any(index==19:24)
       p4=plot (tt(index), a(index), 'cyano',...
           'MarkerFaceColor','cyan','MarkerEdgeColor','cyan',...
           'DisplayName','Terrace Four');
   end
   %terrace five, median albedo (a) plotted against median time of file(tt)
   if any(index==25:30)
       p5=plot(tt(index), a(index), 'o',...
           'MarkerFaceColor','m','MarkerEdgeColor','m',...
           'DisplayName','Terrace Five');
   end
   %terrace six, median albedo (a) plotted against median time of file(tt)
   if any(index==31:36)
      p6=plot(tt(index), a(index), 'o', ...
          'MarkerFaceColor','y','MarkerEdgeColor','y' ,...
          'DisplayName','Terrace Six');
   end
   %terrace seven, median albedo (a) plotted against median time of file(tt)
   if any(index==37:42)
      p7=plot(tt(index), a(index), 'o',...
          'MarkerFaceColor','k','MarkerEdgeColor','k',...
          'DisplayName','Terrace Seven');
   end
   %terrace eight, median albedo (a) plotted against median time of file(tt)
   if any(index==43:48)
      p8=plot(tt(index), a(index), 'bs', ...
          'MarkerFaceColor','b','MarkerEdgeColor','b',...
          'DisplayName','Terrace Eight');
   end
   %terrace nine, median albedo (a) plotted against median time of file(tt)
   if any(index==49:54)
      p9=plot(tt(index), a(index), 'ms',...
          'MarkerFaceColor','m','MarkerEdgeColor','m',...
          'DisplayName','Terrace Nine');
   end
   %terrace ten, median albedo (a) plotted against median time of file(tt)
    if any(index==55:60)
      p10=plot(tt(index), a(index), 'gs',...
          'MarkerFaceColor','g','MarkerEdgeColor','g',...
          'DisplayName','Terrace Ten');
    end
    %terrace eleven, median albedo (a) plotted against median time of file(tt)
    if any(index==61:66)
      p11=plot(tt(index), a(index), 'rs',...
          'MarkerFaceColor','r','MarkerEdgeColor','r',...
          'DisplayName','Terrace Eleven');
    end
    %terrace twelve, median albedo (a) plotted against median time of file(tt)
    if any(index==67:72)
      p12=plot(tt(index), a(index), 'ks',...
          'MarkerFaceColor','k','MarkerEdgeColor','k',...
          'DisplayName','Terrace Twelve'); 
   end
end
hold on

%add labels and titles
title ('Median Albedo of Ground at 0.5~m away for tree trunk')
xlabel('Time of Measurements');
ylabel('Median Albedo of Ground at 0.5~m away for tree trunk');

%add legend for terraces
legend([p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 p11 p12]);

% Minor cosmetics
box on
grid on