clf
clear

E=load('enotreterraces.csv');
L=load('enotredata.csv');

%% TEMP VS TIME
figure(1)
clf
hold on
er50=E(1:6,1); %the cycle number of all measurements taken at tree 50
et50=E(1:6,4); %the temperature taken at each measurement
e50=plot(er50,et50,'bo','MarkerFaceColor','b');
plot(er50,et50,'b-','LineWidth',1);

er51=E(7:12,1);
et51=E(7:12,4);
e51=plot(er51,et51,'yo','MarkerFaceColor','y');
plot(er51,et51,'y-','LineWidth',1);

er52=E(13:18,1);
et52=E(13:18,4);
e52=plot(er52,et52,'ro','MarkerFaceColor','r');
plot(er52,et52,'r-','LineWidth',1);

er29=E(19:24,1);
et29=E(19:24,4);
e29=plot(er29,et29,'co','MarkerFaceColor','c');
plot(er29,et29,'c-','LineWidth',1);

er27=E(25:30,1);
et27=E(25:30,4);
e27=plot(er27,et27,'go','MarkerFaceColor','g');
plot(er27,et27,'g-','LineWidth',1);

er53=E(31:36,1);
et53=E(31:36,4);
e53=plot(er53,et53,'mo','MarkerFaceColor','m');
plot(er53,et53,'m-','LineWidth',1);

er54=E(37:42,1);
et54=E(37:42,4);
e54=plot(er54,et54,'ko','MarkerFaceColor','k');
plot(er54,et54,'k-','LineWidth',1);

er55=E(43:48,1);
et55=E(43:48,4);
e55=plot(er55,et55,'o','MarkerFaceColor',[0.4940 0.1840 0.5560]);
plot(er55,et55,'-','LineWidth',1,'Color',[0.4940 0.1840 0.5560]);

er4=E(49:54,1);
et4=E(49:54,4);
e4=plot(er4,et4,'o','MarkerFaceColor',[0.9290 0.6940 0.1250]);
plot(er4,et4,'-','LineWidth',1,'Color',[0.9290 0.6940 0.1250]);

er14=E(55:60,1);
et14=E(55:60,4);
e14=plot(er14,et14,'o','MarkerFaceColor',[0.8500 0.3250 0.0980]);
plot(er14,et14,'-','LineWidth',1,'Color',[0.8500 0.3250 0.0980]);

er11=E(61:66,1);
et11=E(61:66,4);
e11=plot(er11,et11,'o','MarkerFaceColor',[0.6350 0.0780 0.1840]);
plot(er11,et11,'-','LineWidth',1,'Color',[0.6350 0.0780 0.1840]);

er10=E(67:72,1);
et10=E(67:72,4);
e10=plot(er10,et10,'o','MarkerFaceColor',[0.3010 0.7450 0.9330]);
plot(er10,et10,'-','LineWidth',1,'Color',[0.3010 0.7450 0.9330]);

xlim([0.5 6.5]);
xlabel('Round (Spaced Between 9am and 5pm)');
ylabel('Temperature (Celsius)');
title('Ground Temperature 50cm from Base of Tree at 180º Throughout Day')

legs=legend([e50,e51,e52,e29,e27,e53,e54,e55,e4,e14,e11,e10],'Tree 50','Tree 51','Tree 52','Tree 29','Tree 27','Tree 53',...
    'Tree 53','Tree 54','Tree 55','Tree 4','Tree 14','Tree 11','Tree 10');
set(legs,'AutoUpdate','off')

hold off

set(gcf,'Units','Inches','PaperUnits','Inches')
pos=get(gcf,'Position');
set(gcf,'PaperPositionMode','Auto','PaperSize',[pos(3) pos(4)])
print('-dpdf','enotretvt')


%% ELEVATION VS TEMP CORRELATION

figure(2)
clf

r1t=L(1:12,3); %time
r1d=L(1:12,4); %temp
r1s=L(1:12,5); %shade
r1i=L(1:12,6); %slope
r1e=L(1:12,7); %elevation
r1c=L(1:12,8); %terrace number

r2t=L(13:24,3);
r2d=L(13:24,4);
r2s=L(13:24,5);
r2i=L(13:24,6);
r2e=L(13:24,7);
r2c=L(13:24,8);

r3t=L(25:36,3);
r3d=L(25:36,4);
r3s=L(25:36,5);
r3i=L(25:36,6);
r3e=L(25:36,7);
r3c=L(25:36,8);

r4t=L(37:48,3);
r4d=L(37:48,4);
r4s=L(37:48,5);
r4i=L(37:48,6);
r4e=L(37:48,7);
r4c=L(37:48,8);

r5t=L(49:60,3);
r5d=L(49:60,4);
r5s=L(49:60,5);
r5i=L(49:60,6);
r5e=L(49:60,7);
r5c=L(49:60,8);

r6t=L(61:72,3);
r6d=L(61:72,4);
r6s=L(61:72,5);
r6i=L(61:72,6);
r6e=L(61:72,7);
r6c=L(61:72,8);

subplot(3,2,1)
hold on
p7=plot(r1e,r1d,'bo','MarkerFaceColor','b');
    %plot(r1e,r1d,'b-','LineWidth',1);

pval1=polyfit(r1e,r1d,1); %this gives slope and yint of best fit line, last 1 is because its linear (x^1)
    y1=polyval(pval1,r1e); %creates the line that has properties of p

    %calculate correlation coefficient
    [rho1,pval1]= corrcoef(r1e,r1d);
pline=plot(r1e,y1,'r-','LineWidth',2);

legend([p7,pline],'Data',sprintf('m=%4.4f cm/s, r=%3.2f, pval=%3.2f',pval1(1),rho1(2,1),pval1(2,1)),'FontSize',14,'Location','southoutside');
ylim([20 65]);
xlabel('Elevation (m)');
ylabel('Temperature (ºC)');
title('Temperatures of Terraces in Round 1 (9:34am-10:36am)');


subplot(3,2,2)
hold on
p8=plot(r2e,r2d,'go','MarkerFaceColor','g');

    pval2=polyfit(r2e,r2d,1); %this gives slope and yint of best fit line, last 1 is because its linear (x^1)
    y2=polyval(pval2,r2e); %creates the line that has properties of p

    %calculate correlation coefficient
    [rho2,pval2]= corrcoef(r2e,r2d);
pline2=plot(r2e,y2,'r-','LineWidth',2);

legend([p8,pline2],'Data',sprintf('m=%4.4f cm/s, r=%3.2f, pval=%3.2f',pval2(1),rho2(2,1),pval2(2,1)),'FontSize',14,'Location','southoutside');
ylim([20 65]);
xlabel('Elevation (m)');
ylabel('Temperature (ºC)');
title('Temperatures of Terraces in Round 2 (10:58am-11:40am)');

subplot(3,2,3)
hold on
p9=plot(r3e,r3d,'mo','MarkerFaceColor','m','MarkerSize',7);
   
 pval3=polyfit(r3e,r3d,1); %this gives slope and yint of best fit line, last 1 is because its linear (x^1)
    y3=polyval(pval3,r3e); %creates the line that has properties of p

    %calculate correlation coefficient
    [rho3,pval3]= corrcoef(r3e,r3d);
pline3=plot(r3e,y3,'r-','LineWidth',2);

legend([p9,pline3],'Data',sprintf('m=%4.4f cm/s, r=%3.2f, pval=%3.2f',pval3(1),rho3(2,1),pval3(2,1)),'FontSize',14,'Location','southoutside');
ylim([20 65]);
xlabel('Elevation (m)');
ylabel('Temperature (ºC)');
title('Temperatures of Terraces in Round 3 (11:49am-12:12pm)');

subplot(3,2,4)
hold on
p10=plot(r4e,r4d,'yo','MarkerFaceColor','y');

pval4=polyfit(r4e,r4d,1); %this gives slope and yint of best fit line, last 1 is because its linear (x^1)
    y4=polyval(pval4,r4e); %creates the line that has properties of p

    %calculate correlation coefficient
    [rho4,pval4]= corrcoef(r4e,r4d);
pline4=plot(r4e,y4,'r-','LineWidth',2);

legend([p10,pline4],'Data',sprintf('m=%4.4f cm/s, r=%3.2f, pval=%3.2f',pval4(1),rho4(2,1),pval4(2,1)),'FontSize',14,'Location','southoutside');
ylim([20 65]);
xlabel('Elevation (m)');
ylabel('Temperature (ºC)');
title('Temperatures of Terraces in Round 4 (2:01pm-3:01pm)');

subplot(3,2,5)
hold on
p11=plot(r5e,r5d,'ko','MarkerFaceColor','k');

pval5=polyfit(r5e,r5d,1); %this gives slope and yint of best fit line, last 1 is because its linear (x^1)
    y5=polyval(pval5,r5e); %creates the line that has properties of p

    %calculate correlation coefficient
    [rho5,pval5]= corrcoef(r5e,r5d);
pline5=plot(r5e,y5,'r-','LineWidth',2);

legend([p11,pline5],'Data',sprintf('m=%4.4f cm/s, r=%3.2f, pval=%3.2f',pval5(1),rho5(2,1),pval5(2,1)),'FontSize',14,'Location','southoutside');
ylim([20 65]);    
xlabel('Elevation (m)');
ylabel('Temperature (ºC)');
title('Temperatures of Terraces in Round 5 (3:24pm-4:01pm)');

subplot(3,2,6)
hold on
p12=plot(r6e,r6d,'co','MarkerFaceColor','c');

pval6=polyfit(r6e,r6d,1); %this gives slope and yint of best fit line, last 1 is because its linear (x^1)
    y6=polyval(pval6,r6e); %creates the line that has properties of p

    %calculate correlation coefficient
    [rho6,pval6]= corrcoef(r6e,r6d);
pline6=plot(r6e,y6,'r-','LineWidth',2);

legend([p12,pline6],'Data',sprintf('m=%4.4f cm/s, r=%3.2f, pval=%3.2f',pval6(1),rho6(2,1),pval6(2,1)),'FontSize',14,'Location','southoutside');
ylim([20 65]);   
xlabel('Elevation (m)');
ylabel('Temperature (ºC)');
title('Temperatures of Terraces in Round 6 (4:13pm-5:45pm)');

hold off

set(gcf,'Units','Inches','PaperUnits','Inches')
pos=get(gcf,'Position');
set(gcf,'PaperPositionMode','Auto','PaperSize')
print('-dpdf','enotreelevation')
