clf
clear

E=load('enotredata.csv');

r1t=E(1:12,3); %time
r1d=E(1:12,4); %temp
r1s=E(1:12,5); %shade
r1i=E(1:12,6); %slope
r1e=E(1:12,7); %elevation
r1c=E(1:12,8); %terrace number

r2t=E(13:24,3);
r2d=E(13:24,4);
r2s=E(13:24,5);
r2i=E(13:24,6);
r2e=E(13:24,7);
r2c=E(13:24,8);

r3t=E(25:36,3);
r3d=E(25:36,4);
r3s=E(25:36,5);
r3i=E(25:36,6);
r3e=E(25:36,7);
r3c=E(25:36,8);

r4t=E(37:48,3);
r4d=E(37:48,4);
r4s=E(37:48,5);
r4i=E(37:48,6);
r4e=E(37:48,7);
r4c=E(37:48,8);

r5t=E(49:60,3);
r5d=E(49:60,4);
r5s=E(49:60,5);
r5i=E(49:60,6);
r5e=E(49:60,7);
r5c=E(49:60,8);

r6t=E(61:72,3);
r6d=E(61:72,4);
r6s=E(61:72,5);
r6i=E(61:72,6);
r6e=E(61:72,7);
r6c=E(61:72,8);

Q=load('enotreterraces.csv');

r50t=Q(1:6,3); %time
r50d=Q(1:6,4); %temp

r51t=Q(7:12,3);
r51d=Q(7:12,4);

r52t=Q(13:18,3);
r52d=Q(13:18,4);

r29t=Q(19:24,3);
r29d=Q(19:24,4);

r27t=Q(25:30,3);
r27d=Q(25:30,4);

r53t=Q(31:36,3);
r53d=Q(31:36,4);

r54t=Q(37:42,3);
r54d=Q(37:42,4);

r55t=Q(43:48,3);
r55d=Q(43:48,4);

r44t=Q(49:54,3);
r44d=Q(49:54,4);

r14t=Q(55:60,3);
r14d=Q(55:60,4);

r11t=Q(61:66,3);
r11d=Q(61:66,4);

r10t=Q(67:72,3);
r10d=Q(67:72,4);

subplot(2,2,1)
hold on
p20=plot(r51t,r51d,'bo','MarkerFaceColor','b');

pval22=polyfit(r51t,r51d,2); %this gives slope and yint of best fit line, last 1 is because its linear (x^1)
    y22=polyval(pval22,r51t); %creates the line that has properties of p

    %calculate correlation coefficient
    [rho22,pval22]= corrcoef(r51t,r51d);
pline22=plot(r51t,y22,'r-','LineWidth',2);

xlim([9 17]);
title('Temperatures of Tree 51');
xlabel('Time (H)');
ylabel('Temp (ºC)');
ylim([20 60]);

legend([p20,pline22],'Temperature',sprintf('m=%4.4f cm/s, r=%3.2f, pval=%3.2f',pval22(1),rho22(2,1),pval22(2,1)),'FontSize',14,'Location','southoutside');

hold off

subplot(2,2,2)
hold on
p24=plot(r53t,r53d,'bo','MarkerFaceColor','b');

pval66=polyfit(r53t,r53d,2); %this gives slope and yint of best fit line, last 1 is because its linear (x^1)
    y66=polyval(pval66,r53t); %creates the line that has properties of p

    %calculate correlation coefficient
    [rho66,pval66]= corrcoef(r53t,r53d);
pline66=plot(r53t,y66,'r-','LineWidth',2);

xlim([9 17]);
title('Temperatures of Tree 53');
xlabel('Time (H)');
ylabel('Temp (ºC)');
ylim([20 60]);

legend([p24,pline66],'Temperature',sprintf('m=%4.4f cm/s, r=%3.2f, pval=%3.2f',pval66(1),rho66(2,1),pval66(2,1)),'FontSize',14,'Location','southoutside');
hold off

subplot(2,2,3)
hold on
p27=plot(r44t,r44d,'bo','MarkerFaceColor','b');

pval9=polyfit(r44t,r44d,2); %this gives slope and yint of best fit line, last 1 is because its linear (x^1)
    y9=polyval(pval9,r44t); %creates the line that has properties of p

    %calculate correlation coefficient
    [rho9,pval9]= corrcoef(r44t,r44d);
pline9=plot(r44t,y9,'r-','LineWidth',2);

xlim([9 17]);
title('Temperatures of Tree 4');
xlabel('Time (H)');
ylabel('Temp (ºC)');
ylim([20 60]);

legend([p27,pline9],'Temperature',sprintf('m=%4.4f cm/s, r=%3.2f, pval=%3.2f',pval9(1),rho9(2,1),pval9(2,1)),'FontSize',14,'Location','southoutside');
hold off

subplot(2,2,4)
hold on
p30=plot(r10t,r10d,'bo','MarkerFaceColor','b');

pval12=polyfit(r10t,r10d,2); %this gives slope and yint of best fit line, last 1 is because its linear (x^1)
    y12=polyval(pval12,r10t); %creates the line that has properties of p

    %calculate correlation coefficient
    [rho12,pval12]= corrcoef(r10t,r10d);
pline12=plot(r10t,y12,'r-','LineWidth',2);

xlim([9 17]);
title('Temperatures of Tree 10');
xlabel('Time (H)');
ylabel('Temp (ºC)');
ylim([20 60]);

legend([p30,pline12],'Temperature',sprintf('m=%4.4f cm/s, r=%3.2f, pval=%3.2f',pval12(1),rho12(2,1),pval12(2,1)),'FontSize',14,'Location','southoutside');
hold off

set(gcf,'Units','Inches','PaperUnits','Inches')
pos=get(gcf,'Position');
set(gcf,'PaperPositionMode','Auto','PaperSize',[pos(3) pos(4)])
print('-dpdf','enotretemps')