clf
n = 8; %number of files

albedostruct = {}; %create structure to store uneven arrays

lengthsa = [1:n]; %make array for the lengths

for i = 1:8 %8 files
    filename = sprintf('albedoleaves_t%d.csv', i);
    [t,d,h]=apogee(filename); 
    albedos = d(:,3);
    l = length(albedos); 

    %store
    albedostruct{i} = albedos; %store albedo values
    lengthsa(i) = l; %store  lengths of each albedo value
end


% Make arrays even by adding NaNs to end of smaller arrays
maxlengths = max(lengthsa);
bigmatrix = NaN(maxlengths, n);
%add NaNs
for i = 1:n
    numnans = maxlengths - lengthsa(i); %different between the max and current
    a = albedostruct{i};
    a(lengthsa(i)+1:lengthsa(i)+numnans) = NaN;
    bigmatrix(:,i) = a; %bigmatrix is the even array matrix
end

bins = 15; % bin number (preference); hist does only 10

%create new arrays to store
histo = NaN(bins,n); 
csum = NaN(bins,n);

%labels = bigmatrix(1:(80./15):80;

for i = 1:n
    histo(:,i) = hist(bigmatrix(:,i),bins); %hist values
    csum(:,i) = cumsum(histo(:,i));
    
    % if you want to create a histogram too:
    %figure(i)
    %b = bar(histo(:,i));
    %xlabel('Bins of Albedos')
    %ylabel('Count')

    %f = figure(n+1);
    hold on
    plot(csum(:,i))
    ylabel('Cumulative Sum of Albedo Bin Counts')
    xlabel('Bins of Albedo')
    legend('t1', 't2', 't3', 't4', 't5', 't6', 't7', 't8','location','SouthEast')
    hold off
end
set(gca,'FontSize',16)
exportgraphics(figure(1), "o1_albedoleaves_cumsum.pdf")
