clear 
clf

L = readmatrix('pino_ginordana.csv'); %from tree data  team

x = L(2:end,2); %easting
y = L(2:end,3); %northing

altitude = L(2:end,5); %pull altitudes of trees

hold on
for i=1:8
    filename = sprintf('albedoleaves_t%d.csv', i);
    [t,d,h]=apogee(filename); 
    s = scatter(x(i),y(i),(altitude(i)-min(altitude)+1).*100, mean(d(:,3)),'filled'); %plot locations of trees
    colorbar() %based on albedo
end

%information about graph
legend(sprintf('Tree 1 Altitude: %3.1f',altitude(1)),sprintf('Tree 2 Altitude: %3.1f',altitude(2)),sprintf('Tree 3 Altitude: %3.1f',altitude(3)),sprintf('Tree 4 Altitude: %3.1f',altitude(4)),sprintf('Tree 5 Altitude: %3.1f',altitude(5)),sprintf('Tree 6 Altitude: %3.1f',altitude(6)),sprintf('Tree 7 Altitude: %3.1f',altitude(7)),sprintf('Tree 8 Altitude: %3.1f',altitude(8)),'FontSize', 12)
xlabel('Easting')
ylabel('Northing')
hold off
exportgraphics(figure(1), "o1_albedoleaves_location.pdf")
