clf
n = 12; %number of files

albedostruct = {}; %create structure to store uneven arrays

lengthsa = [1:n]; %make array for the lengths

filenames = ["o1_albedograss_sun_trial1.csv" "o1_albedograss_shade_trial1.csv" "o1_albedograss_sun_trial2.csv" "o1_albedograss_shade_trial2.csv" "o1_albedoleaves_sun_trail1.csv" "o1_albedoleaves_shade_trial1.csv" "o1_albedoleaves_sun_trail2.csv" "o1_albedoleaves_shade_trial2.csv" "o1_mudpiles_sun_trial1.csv" "o1_mudpiles_shade_trial1.csv" "o1_mudpiles_sun_trial2.csv" "o1_mudpiles_shade_trial2.csv"];

for i = 1:n %12 files
    filename = filenames(i);
    [t,d,h]=apogee(filename); 
    albedos = d(:,3);
    l = length(albedos); 

    %store
    albedostruct{i} = albedos; %store albedo values
    lengthsa(i) = l; %store  lengths of each albedo value
end


% Make arrays even by adding NaNs to end of smaller arrays
maxlengths = max(lengthsa);
bigmatrix = NaN(maxlengths, n);
%add NaNs
for i = 1:n
    numnans = maxlengths - lengthsa(i); %different between the max and current
    a = albedostruct{i};
    a(lengthsa(i)+1:lengthsa(i)+numnans) = NaN;
    bigmatrix(:,i) = a; %bigmatrix is the even array matrix
end

bins = 15; % bin number (preference); hist does only 10

%create new arrays to store
histo = NaN(bins,n); 
csum = NaN(bins,n);

%grass subplot 1
subplot(3,1,1)
for i = 1:(n/3)
    histo(:,i) = hist(bigmatrix(:,i),bins); %hist values
    csum(:,i) = cumsum(histo(:,i));
    hold on
    plot(csum(:,i))
    ylim([0 85])
    legend('Grass (Sun): Low Battery', 'Grass (Shade): Low Battery', 'Grass (Sun): High Battery', 'Grass (Shade): High Battery', 'FontSize',9, 'location','NorthWest'); %albedometer high or low battery
    hold off
end

%leaves subplot 2
subplot(3,1,2)
for i = (n/3)+1:(2*n/3)
    histo(:,i) = hist(bigmatrix(:,i),bins); %hist values
    csum(:,i) = cumsum(histo(:,i));
    hold on
    plot(csum(:,i))
    ylim([0 85])
    legend('Leaves (Sun): Low Battery','Leaves (Shade): Low Battery','Leaves (Sun): High Battery','Leaves (Shade): High Battery', 'FontSize',8.5, 'location','NorthWest'); %albedometer high or low battery
    hold off
end

%mudpile subplot 3
subplot(3,1,3)
for i = (2*n/3)+1:n
    histo(:,i) = hist(bigmatrix(:,i),bins); %hist values
    csum(:,i) = cumsum(histo(:,i)); %create cumulative sum list
    hold on
    plot(csum(:,i))
    ylim([0 85])
    legend('Mudpile (Sun): Surface', 'Mudpile (Shade): Surface','Mudpile (Sun): 6 in. Deep','Mudpile (Shade): 6 in. Deep', 'FontSize',10, 'location','NorthWest'); %albedometer high or low battery
    hold off
end

%set general y-axis
han=axes(figure(1),'visible','off'); 
han.YLabel.Visible='on';
ylabel(han,'Cumulative Sum of Albedo Bin Counts', 'FontSize', 14);

%set general x-axis
han=axes(figure(1),'visible','off'); 
han.XLabel.Visible='on';
xlabel(han,'Bins of Albedo', 'FontSize', 14);

%general title over all subplots
sgtitle('Various Surfaces at Pino Giordana', 'FontSize', 16)


exportgraphics(figure(1), "o1_albedosurface_cumsum.pdf")
