%Pino Giordano
% Reads all PinoGiordano files
P=dir('/Users/chandlerjones/Documents/MATLAB/PinoGiordano/*.csv');

%create a figure
figure(1)
clf

% Loop over the file names
for index=1:length(P)
    % Returns median albedo
   [a(index),t]=apogee(...
       sprintf('/Users/chandlerjones/Documents/MATLAB/PinoGiordano/%s',...
       P(index).name));
   % Returns midpoint time
   tt(index)=t(1)+[t(end)-t(1)]/2;
   hold on
end 
clf

%Create 5 subplots for each round and plot the median albedo aganist the
%transect distance (0.5, 1.50, 2.50). J equals the number of rounds ([0:4])
for j=0:4
    subplot (1,5,j+1)
    hold on 
    
   p1=plot([0.5 1.5 2.5], [a(j*15 +1), a(j*15 +2), a(j*15+3)], '.-r',...
       'MarkerSize', 10, 'LineWidth', 2, 'DisplayName','Tree One');
   hold on
   p2=plot([0.5 1.5 2.5], [a(j*15 +4), a(j*15 +5), a(j*15+6)], '.-b',...
       'MarkerSize', 10,'LineWidth', 2, 'DisplayName','Tree Four');
   hold on
   p3=plot([0.5 1.5 2.5], [a(j*15 +7), a(j*15 +8), a(j*15+9)], '.-g',...
       'MarkerSize', 10,'LineWidth', 2, 'DisplayName','Tree Five');
   hold on
   p4=plot([0.5 1.5 2.5], [a(j*15 +10), a(j*15 +11), a(j*15+12)], '.-cyan',...
       'MarkerSize', 10, 'LineWidth', 2,'DisplayName','Tree Six');
   hold on
   p5=plot([0.5 1.5 2.5], [a(j*15 +13), a(j*15 +14), a(j*15+15)], '.-y',...
       'MarkerSize', 10, 'LineWidth', 2,'DisplayName','Tree Seven');
   hold on
   p6=plot([0.5 1.5 2.5], [a(j*15 +17), a(j*15 +18), a(j*15+19)], '.-m',...
       'MarkerSize', 10,'LineWidth', 2,'DisplayName','Tree Eight');

%there are holes in data so some lines are hand plotted

   subplot (1,5,4)
   plot([0.5 1.5 2.5], [0.1775, 0.1720, 0.1716], '.-r', 'LineWidth', 2,'MarkerSize', 10)
   subplot (1,5,1)
   plot([0.5 1.5 2.5], [0.229864, 0.20, 0.1897], '.-b', 'LineWidth', 2,'MarkerSize', 10)
   subplot (1,5,3)
   plot([0.5 1.5 2.5], [0.191295, 0.1897, 0.21701], '.-b', 'LineWidth', 2,'MarkerSize', 10)
   subplot (1,5,4)
   plot([0.5 1.5], [0.2314, 0.222937], '.-b','LineWidth', 2, 'MarkerSize', 10)
   subplot (1,5,1)
   plot([0.5 1.5], [0.485474, 0.210907], '.-g','LineWidth', 2, 'MarkerSize', 10)
   subplot (1,5,4)
   plot([0.5 1.5 2.5], [0.2511569, 0.23034103, 0.230945], '.-g', 'LineWidth', 2,'MarkerSize', 10)
   subplot (1,5,5)
   plot([0.5 1.5 2.5], [0.1853291, 0.1998209, 0.19342334], '.-g','LineWidth', 2, 'MarkerSize', 10)
   subplot (1,5,1)
   plot([0.5 1.5 2.5], [0.148893, 0.166991, 0.148893], '.-cyan', 'LineWidth', 2,'MarkerSize', 10)
   subplot (1,5,5)
   plot([0.5 1.5 2.5], [0.10976636, 0.19662523, 0.15174223], '.-cyan','LineWidth', 2, 'MarkerSize', 10)
   subplot (1,5,2)
   plot([0.5 1.5], [0.099, 0.284632], '.-y', 'LineWidth', 2,'MarkerSize', 10)
   subplot (1,5,5)
   plot([0.5 1.5 2.5], [0.15674, 0.142679,0.16297977], '.-y', 'LineWidth', 2,'MarkerSize', 10)
   subplot (1,5,2)
   plot([1.5 2.5], [0.228, 0.18673], '.-m', 'LineWidth', 2,'MarkerSize', 10)
   subplot (1,5,3)
   plot([0.5 1.5 2.5], [0.2015 0.240165, 0.27741207], '.-m', 'LineWidth', 2,'MarkerSize', 10)


end 

%Minor cosmetics 
box on
figure (1)

%import titles and labels for all subplots and equal graphs
%round 1
subplot (1,5,1)
title ('Median Albedo of Round 1')
xlabel('Distance from Tree (m)')
ylabel('Median Albedo')
ylim([0.05 .50])
%round 2
subplot (1,5,2)
title ('Median Albedo of Round 2') 
xlabel('Distance from Tree (m)')
ylabel('Median Albedo')
ylim([0.05 .50])
%round 3
subplot (1,5,3)
title ('Median Albedo of Round 3') 
xlabel('Distance from Tree (m)')
ylabel('Median Albedo')
ylim([0.05 .50])
%round 4
subplot (1,5,4)
title ('Median Albedo of Round 4') 
xlabel('Distance from Tree (m)')
ylabel('Median Albedo')
ylim([0.05 .50])
%round 5
subplot (1,5,5)
title ('Median Albedo of Round 5')
xlabel('Distance from Tree (m)')
ylabel('Median Albedo')
ylim([0.05 .50])

%create a legened for all trees 
legend ([p1 p2 p3 p4 p5 p6])