clear
clf

PG=load('PGTEMPS.csv');

%% TEMPERATURE VS. TIME

figure(1)
clf
m1=PG(59:63,3);
m2=PG(64:68,3);
m3=PG(69:73,3);
m4=PG(74:77,3);
m5=PG(78:82,3);
m6=PG(83:87,3);

hold on
mt1a=mean(PG(1:4,3));
mt1b=mean(PG(30:34));
mt1c=mean(m1);
mt1d=mean(PG(88:92,3));
mt1e=mean(PG(117:121,3));
p1=plot(1,mt1a,'bo','MarkerFaceColor','b');
plot(2,35,'bo','MarkerFaceColor','b');
plot(3,mt1c,'bo','MarkerFaceColor','b');
plot(4,mt1d,'bo','MarkerFaceColor','b');
plot(5,mt1e,'bo','MarkerFaceColor','b');

line1x= [1 2 3 4 5];
line1y= [mt1a 35 mt1c mt1d mt1e];
plot(line1x,line1y,'b-','LineWidth',2);

hold on
mt2a=mean(PG(5:9,3));
mt2b=mean(PG(35:39,3));
mt2c=mean(m2);
mt2d=mean(PG(93:97,3));
mt2e=mean(PG(122:126,3));
p2=plot(1,mt2a,'yo','MarkerFaceColor','y');
plot(2,mt2b,'yo','MarkerFaceColor','y');
plot(3,mt2c,'yo','MarkerFaceColor','y');
plot(4,mt2d,'yo','MarkerFaceColor','y');
plot(5,mt2e,'yo','MarkerFaceColor','y');

line2x= [1 2 3 4 5];
line2y= [mt2a mt2b mt2c mt2d mt2e];
plot(line2x,line2y,'y-','LineWidth',2);

hold on
mt3a=mean(PG(10:14,3));
mt3b=mean(PG(40:44,3));
mt3c=mean(m3);
mt3d=mean(PG(98:102,3));
mt3e=mean(PG(127:131,3));
p3=plot(1,mt3a,'ro','MarkerFaceColor','r');
plot(2,mt3b,'ro','MarkerFaceColor','r');
plot(3,mt3c,'ro','MarkerFaceColor','r');
plot(4,mt3d,'ro','MarkerFaceColor','r');
plot(5,mt3e,'ro','MarkerFaceColor','r');

line3x= [1 2 3 4 5];
line3y= [mt3a mt3b mt3c mt3d mt3e];
plot(line3x,line3y,'r-','LineWidth',2);

hold on
mt4a=mean(PG(15:19,3));
mt4b=mean(PG(45:48,3));
mt4c=mean(m4);
mt4d=mean(PG(103:106,3));
mt4e=mean(PG(132:135,3));
p4=plot(1,mt4a,'go','MarkerFaceColor','g');
plot(2,mt4b,'go','MarkerFaceColor','g');
plot(3,mt4c,'go','MarkerFaceColor','g');
plot(4,mt4d,'go','MarkerFaceColor','g');
plot(5,mt4e,'go','MarkerFaceColor','g');

line4x= [1 2 3 4 5];
line4y= [mt4a mt4b mt4c mt4d mt4e];
plot(line4x,line4y,'g-','LineWidth',2);

hold on
mt5a=mean(PG(20:24,3));
mt5b=mean(PG(49:53,3));
mt5c=mean(m5);
mt5d=mean(PG(107:111,3));
mt5e=mean(PG(136:140,3));
p5=plot(1,mt5a,'co','MarkerFaceColor','c');
plot(2,mt5b,'co','MarkerFaceColor','c');
plot(3,mt5c,'co','MarkerFaceColor','c');
plot(4,mt5d,'co','MarkerFaceColor','c');
plot(5,mt5e,'co','MarkerFaceColor','c');

line5x= [1 2 3 4 5];
line5y= [mt5a mt5b mt5c mt5d mt5e];
plot(line5x,line5y,'c-','LineWidth',2);

hold on
mt6a=mean(PG(25:29,3));
mt6b=mean(PG(54:58,3));
mt6c=mean(m6);
mt6d=mean(PG(112:116,3));
mt6e=mean(PG(141:145,3));
p6=plot(1,mt6a,'mo','MarkerFaceColor','m');
plot(2,mt6b,'mo','MarkerFaceColor','m');
plot(3,mt6c,'mo','MarkerFaceColor','m');
plot(4,mt6d,'mo','MarkerFaceColor','m');
plot(5,mt6e,'mo','MarkerFaceColor','m');

line6x= [1 2 3 4 5];
line6y= [mt6a mt6b mt6c mt6d mt6e];
plot(line6x,line6y,'m-','LineWidth',2);


xlim([0 6]);
legs=legend([p1,p2,p3,p4,p5,p6],'Tree 5','Tree 8','Tree 6','Tree 7','Tree 4','Tree 1');
xlabel('Round (Spaced Between 9am and 5pm)');
ylabel('Temperature (ºC)');
set(legs,'AutoUpdate','off')
title('Mean Ground Temperature of Each Transect (50cm to 250cm) Throughout Day')
hold off

set(gcf,'Units','Inches','PaperUnits','Inches')
pos=get(gcf,'Position');
set(gcf,'PaperPositionMode','Auto','PaperSize',[pos(3) pos(4)])
print('-dpdf','pgtvt')


%% DISTANCE VS TEMP CORRELATION

figure(2)
clf
hold on
p1=plot(PG(1:145,4),PG(1:145,3),'bo','MarkerFaceColor','b');

TM1=mean(PG(1:30,6));
TM2=mean(PG(31:60,6));
TM3=mean(PG(61:90,6));
TM4=mean(PG(91:120,6));
TM5=mean(PG(121:145,6));

p2=plot(50,TM1,'mo','MarkerFaceColor','m','MarkerSize',10);
plot(100,TM2,'mo','MarkerFaceColor','m','MarkerSize',10);
plot(150,TM3,'mo','MarkerFaceColor','m','MarkerSize',10);
plot(200,TM4,'mo','MarkerFaceColor','m','MarkerSize',10);
plot(250,TM5,'mo','MarkerFaceColor','m','MarkerSize',10);

xbf=[50 100 150 200 250];
ybf=[TM1 TM2 TM3 TM4 TM5];

pval1=polyfit(xbf,ybf,1); %this gives slope and yint of best fit line, last 1 is because its linear (x^1)
    y1=polyval(pval1,xbf); %creates the line that has properties of p

    %calculate correlation coefficient
    [rho1,pval1]= corrcoef(xbf,ybf);
pline=plot(xbf,y1,'r-','LineWidth',2);

legs=legend([p1,p2,pline],'Data','Mean',sprintf('m=%4.4f cm/s, r=%3.2f, pval=%3.2f',pval1(1),rho1(2,1),pval1(2,1)),'FontSize',14);
title('Pino Giordano Ground Temperatures at Varying Distances');
xlabel('Distance (cm)');
ylabel('Temperature (ºC)');

hold off

set(gcf,'Units','Inches','PaperUnits','Inches')
pos=get(gcf,'Position');
set(gcf,'PaperPositionMode','Auto','PaperSize',[pos(3) pos(4)])
print('-dpdf','pgdistance')
