clf
n = 21; %number of files

albedostruct = {}; %create structure to store uneven arrays

lengthsa = [1:n]; %make array for the lengths

filenames = ["o3_albedoleaves_t2_sun.csv" "o3_albedoleaves_t2_shade.csv" "o3_albedodeadleaves_t2_sun.csv" "o3_albedodeadleaves_t2_shade.csv" "o3_albedoleaves_t8_sun.csv" "o3_albedograss_sun.csv" "o3_albedograss_shade.csv" "o3_albedobaremudpile_sun.csv" "o3_albedobaremudpile_shade.csv" "o3_albedountouchedmudpile_sun.csv" "o3_albedountounchedmudpile_shade.csv" "o3_albedomudpiledug_sun.csv" "o3_albedomudpiledug_shade.csv" "o3_albedoborage_sun.csv" "o3_albedoborage_shade.csv" "o3_albedobroccoli_sun.csv" "o3_albedobroccoli_shade.csv" "o3_albedoturnip_sun.csv" "o3_albedoturnip_shade.csv" "o3_albedolettuce_sun.csv" "o3_albedolettuce_shade.csv"];
 
for i = 1:n %12 files
    filename = filenames(i);
    [t,d,h]=apogee(filename); 
    albedos = d(:,3);
    l = length(albedos); 

    %store
    albedostruct{i} = albedos; %store albedo values
    lengthsa(i) = l; %store  lengths of each albedo value
end


% Make arrays even by adding NaNs to end of smaller arrays
maxlengths = max(lengthsa);
bigmatrix = NaN(maxlengths, n);
%add NaNs
for i = 1:n
    numnans = maxlengths - lengthsa(i); %different between the max and current
    a = albedostruct{i};
    a(lengthsa(i)+1:lengthsa(i)+numnans) = NaN;
    bigmatrix(:,i) = a; %bigmatrix is the even array matrix
end

bins = 15; % bin number (preference); hist does only 10

%create new arrays to store
histo = NaN(bins,n); 
csum = NaN(bins,n);

%grass subplot 1
subplot(3,1,1)
for i = 1:(n/3)
    histo(:,i) = hist(bigmatrix(:,i),bins); %hist values
    csum(:,i) = cumsum(histo(:,i));
    hold on
    plot(csum(:,i))
    ylim([0 85])
    legend("tree 5 leaves (sun)", 'tree 5 leaves (shade)', 'tree 5 dead leaves (sun)', 'tree 5 dead leaves (shade)', 'olive tree bark (sun)', 'olive tree bark (shade)','location','northwest')
    hold off
end

%leaves subplot 2
subplot(3,1,2)
for i = (n/3)+1:(2*n/3)-1
    histo(:,i) = hist(bigmatrix(:,i),bins); %hist values
    csum(:,i) = cumsum(histo(:,i));
    hold on
    plot(csum(:,i))
    ylim([0 85])
    legend('mudpile: bare (sun)', 'mudpile: bare (shade)', 'mudpile: untouched (sun)', 'mudpile: untouched (shade)', 'mudpile: dug 6 in. (sun)', 'mudpile: dug 6 in. (shade)', 'location','northwest')
    hold off
end

%mudpile subplot 3
subplot(3,1,3)
for i = (2*n/3):n
    histo(:,i) = hist(bigmatrix(:,i),bins); %hist values
    csum(:,i) = cumsum(histo(:,i)); %create cumulative sum list
    hold on
    plot(csum(:,i))
    ylim([0 85])
    legend('borage (sun)', 'borage (shade)', 'broccoli (sun)', 'broccoli (shade)','turnip (sun)', 'turnip (shade)', 'lettuce (sun)', 'lettuce (shade)','location','northwest')
    hold off
end




%set general y-axis
han=axes(figure(1),'visible','off'); 
han.YLabel.Visible='on';
ylabel(han,'Cumulative Sum of Albedo Bin Counts', 'FontSize', 14);

%set general x-axis
han=axes(figure(1),'visible','off'); 
han.XLabel.Visible='on';
xlabel(han,'Bins of Albedo', 'FontSize', 14);

%general title over all subplots
sgtitle('Various Surfaces at Enotre', 'FontSize', 16)


exportgraphics(figure(1), "o3_albedosurface_cumsum.pdf")
