%Santa Serevina folder Structure 
% SantaSerivina 
% > 40 files
% >ss_t#r#
% >tree number = t([2 3 4 5 6 7 8 9 10])
% > round number = r([1 2 3 4])

%organize data files
clear
S=dir('/Users/chandlerjones/Documents/MATLAB/SantaSerivina/*.csv');

%create a figure
figure(1)
clf

%use apogee function to find median time and albedo of each file
%where tt is time and a is median albedo of each file
%plot tt against a for each of the nine trees with different symbol/color
%combinations

for index=1:length(S)
    % Returns median albedo
   [a(index),t]=apogee(sprintf('SantaSerivina/%s',S(index).name));
   % Returns midpoint time
   tt(index)=t(1)+[t(end)-t(1)]/2;
   hold on
   %tree two
   if any(index==9:12)
       p2=plot(tt(index),a(index),'o', 'MarkerFaceColor','g',...
           'MarkerEdgeColor','g','DisplayName','Tree Two');
   end 
   %tree three
   if any(index == 13:16)
       p3=plot(tt(index),a(index),'bs', 'MarkerFaceColor', 'b',...
          'MarkerEdgeColor','b','DisplayName','Tree Three');
   end 
   %tree ten
   if any(index == 1:4)
       p10=plot(tt(index),a(index),'ko', 'MarkerFaceColor', 'k',...
           'MarkerEdgeColor','k','DisplayName','Tree Ten');
   end
   %tree seven
   if any(index == 29:32)
       p7=plot(tt(index),a(index),'ms', 'MarkerFaceColor', ...
           'm','MarkerEdgeColor','m','DisplayName','Tree Seven');
   end
   %tree eight
   if any(index == 33:36)
        p8=plot(tt(index),a(index),'ro', 'MarkerFaceColor', 'r',...
            'MarkerEdgeColor','r','DisplayName','Tree Eight');
   
   end
   %tree four
    if any(index == 17:20)
       p4=plot(tt(index),a(index),'cyans', 'MarkerFaceColor', 'cyan',...
           'MarkerEdgeColor','cyan','DisplayName','Tree Four');
    end
   %tree five
   if any(index == 21:24)
       p5=plot(tt(index),a(index),'o', 'MarkerFaceColor', 'y',...
           'MarkerEdgeColor','y','DisplayName','Tree Five');
   end
   %tree six
   if any(index == 25:28)
       p6=plot(tt(index),a(index),'ks', 'MarkerFaceColor', 'k',...
           'MarkerEdgeColor','k','DisplayName','Tree Six');
   end
   %tree nine
   if any(index == 37:40)
       p9=plot(tt(index),a(index),'s', 'MarkerFaceColor', 'g',...
           'MarkerEdgeColor','g','DisplayName','Tree Nine');
   end
end
hold on

%add labels and titles
xlabel('Time of Measurements');
ylabel('Median Albedo of Tree at 0.5~m away for tree trunk');
title ('Santa Serivina Albedo')

%add legend
legend([p2 p3 p4 p5 p6 p7 p8 p9 p10]);

% Minor cosmetics
box on
grid on